# sc::SCMatrixSimpleSubblockIter Class Reference

Inheritance diagram for sc::SCMatrixSimpleSubblockIter:

List of all members.

## Public Member Functions

| SCMatrixSimpleSubblockIter (Access, const Ref< SCMatrixBlock > &b)
void | begin ()
| Start at the beginning.
int | ready ()
| Returns nonzero if there is another block.
void | next ()
| Proceed to the next block.
SCMatrixBlock * | block ()
| Return the current block.

## Protected Attributes

Ref< SCMatrixBlock > | block_
int | ready_

The documentation for this class was generated from the following file:

- block.h